#! /bin/sh
# Calls dmi-mem to get total RAM from BIOS
# dmi-mem returns a number: the amount of RAM on the system
DIR=$(dirname $0)
echo "running BIOS get RAM tool..."
chmod +x $DIR/dmi-mem
mem=$($DIR/dmi-mem)
echo "RAM capacity is $mem"
if [ $mem -gt 4096 ]
then
   echo "Installing kernel-PAE"
   mkdir ${DP_MNT}/tmp
   loopflag=0
   if [ ! -b /dev/loop0 ]; then
      echo "special loop mount trick for RHEL5"
      mknod /dev/loop0 b 7 0
      loopflag=1
      sync;sync;sync
   fi
   echo "Loop mounting ${DP_MNT}/RedHat50_disc1.iso to ${DP_MNT}/tmp"
   mount -o loop ${DP_MNT}/RedHat50_disc1.iso ${DP_MNT}/tmp
   rpm -ivh ${DP_MNT}/tmp/Server/kernel-PAE-*.rpm
   rpm -ivh ${DP_MNT}/tmp/Server/kernel-PAE-devel-*.rpm
   umount ${DP_MNT}/tmp
   rmdir ${DP_MNT}/tmp
   # Clean up, remove loop device we created.
   if [ $loopflag = 1 ] ; then
      rm /dev/loop0
   fi
   # Need to make kernel-PAE default boot kernel in grub.conf
   cat /boot/grub/grub.conf | sed "s/default=./default=0/g" > /boot/grub/grub.conf.tmp
   mv /boot/grub/grub.conf.tmp /boot/grub/grub.conf
else
   echo "skipping kernel-PAE"
fi
